.presentation-content {
  background: linear-gradient(90deg, $white 0%, $white 50%, $gray-200 50%, $gray-200 100%);

  .page-container > .row > .col:first-child {
    background-color: $white;
  }

  .page-container > .row > .col + .col {
    background-color: $gray-200;
  }

  .content-page > div,
  .page-container,
  .page-container > .row {
    width: 100%;
    max-width: 100%;
    height: 100%;
    max-height: 100%;
    margin: 0;
    padding: 0;
  }

  .page-container > .row > .col {
    align-content: center;
    display: flex;
    min-height: 400px;
    padding: $spacer;

    &.size-fill {
      padding: 0;
    }
  }
}

.presentation-slider {
  .page {
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 400px;
  }

  .page-col {
    max-width: 500px;
    font-size: $font-size-sm;
  }

  .controls {
    position: absolute;
    left: 0;
    bottom: 0;
    display: none;

    width: 50%;
    align-items: stretch;
    padding: 0 $spacer * 2 $spacer;
    line-height: $spacer * 3;
    background-color: $white;

    .btn {
      width: $spacer * 3;
      height: $spacer * 3;
    }
  }

  @include media-breakpoint-up(lg) {
    .presentation-article {
      flex: 1 1 50%;
      max-height: 100%;
    }
  }

  @include media-breakpoint-up(md) {
    height: 100%;
    display: flex;
    flex-direction: row;
    position: relative;


    .controls {
      display: flex;
    }

    .content-page > div > .container > .row > .col:first-child {
      height: calc(100% - 3rem - #{$spacer});
      overflow: auto;
    }

    .page {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      display: flex;
      align-items: center;
      opacity: 0;
      transition: all 0.5s ease-in;
      pointer-events: none;

      &.current {
        opacity: 1;
        pointer-events: all;
      }
    }

    .page-col {
      padding: 0 $spacer * 2;
      margin: auto;
    }
  }
}
